/** This file is part of Domotz Agent.
 * Copyright (C) 2020  Domotz Ltd
 *
 * Domotz Agent is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Domotz Agent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Domotz Agent.  If not, see <http://www.gnu.org/licenses/>.
 **/
/**
 *
 * Created by Fausto Lelli <fausto@domotz.com> on 15/05/2020.
 */

const LOG_EVENT =  'HANDLER - (performOneshotDiscovery): ';

var oneshotDiscovery = require('../../../events/handler/snmpCheckDiscovery').oneshotDiscovery;

var performOneshotMibDiscovery = function (message, resourceLocator) {

    var logger = resourceLocator.log.decorateLogs(LOG_EVENT);

    return {

        describe: function () {
            return message.correlationId + " - snmpMibDiscovery - ";
        },
        execute: function (callback) {
            logger.info('SNMP Perform Oneshot Mib Discovery: Received NETWORK/SNMP/ONESHOT_MIB_DISCOVERY command');

            oneshotDiscovery();
        }
    };
};

module.exports.command = performOneshotMibDiscovery;
