/** This file is part of Domotz Agent.
 * Copyright (C) 2016  Domotz Ltd
 *
 * Domotz Agent is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Domotz Agent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Domotz Agent.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

const LOG_EVENT = 'HANDLER - (bonjour discovery)';

var counter = 9;
var numberOfFastDiscoveryCycle=10;

var handler = function (resourceLocator) {
	
	counter++;

	if (resourceLocator.settingsManager.isBroadcastDiscoveryDisabled()) {
		console.info("Skipping bonjour discovery");
		return;
	}

	console.info(LOG_EVENT + ': called: ' + counter + ' times, starting at ' + numberOfFastDiscoveryCycle + ' )');

	if (counter === numberOfFastDiscoveryCycle){
		counter = 0;
		resourceLocator.discovery.protocols_orchestrator.discover('bonjour');
	}
};

module.exports.handler = handler;
