/** This file is part of Domotz Agent.
 * Copyright (C) 2016  Domotz Ltd
 *
 * Domotz Agent is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Domotz Agent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Domotz Agent.  If not, see <http://www.gnu.org/licenses/>.
 **/
/**
 * Created by Andrea Azzarà <a.azzara@domotz.com> on 10/06/16.
 */

const LOG_EVENT = 'HANDLER - (detectNearestServer)';

var fetchSpeedTestServers = function (resourceLocator) {

    var status = resourceLocator.status;

    if (status.get() === status.RESTRICTED || status.get() === status.UPDATING) {
        console.warn(LOG_EVENT + ': Pawn in restricted or updating mode. Cannot perform nearest server selection');
        return;
    }
    console.info(LOG_EVENT);

    var enable_ookla = typeof resourceLocator.configuration.enable_ookla === 'undefined' ? true : resourceLocator.configuration.enable_ookla;

    if (!enable_ookla) {
        return;
    }

    var ooklaServers = resourceLocator.networkTools.ooklaServers;

    var startTime = 10 * resourceLocator.utils.time.SECOND;

    setTimeout(function () {
        ooklaServers.fetch();
    }, startTime);

};

module.exports.handler = fetchSpeedTestServers;
