/** This file is part of Domotz Agent.
 * Copyright (C) 2016  Domotz UK LLP
 *
 * Domotz Agent is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Domotz Agent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Domotz Agent.  If not, see <http://www.gnu.org/licenses/>.
 **/
/**
 *
 * Created by Massimiliano Cuzzoli <massi@domotz.com> on 26/08/16.
 *
 */

var counter = 8;
var numberOfFastDiscoveryCycle=10;

var upnpDeviceDiscovery = function (resourceLocator, force_discovery) {
    force_discovery = (force_discovery === undefined) ? false : force_discovery;

    counter++;

    if (resourceLocator.settingsManager.isBroadcastDiscoveryDisabled()) {
        console.info("Skipping upnpDeviceDiscovery discovery");
        return;
    }

    console.info('HANDLER - (upnpDeviceDiscovery): counter: ' + counter + '): ');
    if (counter === numberOfFastDiscoveryCycle || force_discovery) {
        counter = 0;
        resourceLocator.discovery.protocols_orchestrator.discover('upnp');
    }
};

module.exports.handler = upnpDeviceDiscovery;
